Bug 856189 - Review Request: python-colorama - Cross-platform colored terminal text
Review Request: python-colorama - Cross-platform colored terminal text
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
Depends On:
Blocks: 856182
  Show dependency treegraph
Reported: 2012-09-11 08:19 EDT by Matthias Runge
Modified: 2012-09-25 02:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-25 02:20:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
p: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-09-11 08:19:14 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-colorama.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-colorama-0.2.4-1.fc17.src.rpm
Description: Makes ANSI escape character sequences, for producing colored
terminal text and cursor positioning, work under MS Windows.

ANSI escape character sequences have long been used to produce colored terminal
text and cursor positioning on Unix and Macs. Colorama makes this work on
Windows, too.
It also provides some shortcuts to help generate ANSI sequences, and works fine
in conjunction with any other ANSI sequence generation library, such as

Fedora Account System Username: mrunge

[mrunge@turing SPECS]$ rpmlint -i ./python-colorama.spec ../RPMS/noarch/python-colorama-0.2.4-1.fc17.noarch.rpm ../SRPMS/python-colorama-0.2.4-1.fc17.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=4474146
Comment 1 Pádraig Brady 2012-09-13 11:02:30 EDT
Package Review

- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[-]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (colorama-0.2.4.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
[x]: SHOULD Spec use %global instead of %define.

Checking: python-colorama-0.2.4-1.fc15.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
Cannot parse rpmlint output:
python-colorama-0.2.4-1.fc15.noarch.rpm (rpmlib, GLIBC filtered):
    python(abi) = 2.7

    python-colorama = 0.2.4-1.fc15

MD5-sum check
http://pypi.python.org/packages/source/c/colorama/colorama-0.2.4.tar.gz :
  CHECKSUM(SHA256) this package     : ab2a1f39493a7cfe61b919ec3c6c204f593db2bf3818a70f6f0aa6b8b0a52e55
  CHECKSUM(SHA256) upstream package : ab2a1f39493a7cfe61b919ec3c6c204f593db2bf3818a70f6f0aa6b8b0a52e55

Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 856189 --user P@draigBrady.com
External plugins:

Comment 2 Matthias Runge 2012-09-13 14:51:33 EDT
thank you for the quick review! 

New Package SCM Request
Package Name: python-colorama
Short Description: Cross-platform colored terminal text
Owners: mrunge
Branches: f18
Comment 3 Jon Ciesla 2012-09-13 15:16:17 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-09-14 04:49:29 EDT
python-colorama-0.2.4-1.fc18 has been submitted as an update for Fedora 18.
Comment 5 Fedora Update System 2012-09-16 13:11:31 EDT
python-colorama-0.2.4-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 6 Fedora Update System 2012-09-25 02:20:19 EDT
python-colorama-0.2.4-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.